SET DEFINE OFF;
whenever sqlerror exit sql.sqlcode ;
-- Nécessite Bibasse en version x.x.x
-- Ajout d'une table tranche_prevision_budg sd_ordre
CREATE TABLE ACCORDS.TRANCHE_PREVISION_BUDG (
    TRA_ORDRE NUMBER NOT NULL,
    PVBU_ID NUMBER NOT NULL
 );
 
COMMENT ON TABLE  ACCORDS.TRANCHE_PREVISION_BUDG is 'table de jointure entre TRANCHE et JEFY_BUDGET.PREVISION_BUDG';
COMMENT ON COLUMN ACCORDS.TRANCHE_PREVISION_BUDG.TRA_ORDRE is 'Cle etrangere table ACCORDS.TRANCHE';
COMMENT ON COLUMN ACCORDS.TRANCHE_PREVISION_BUDG.PVBU_ID is 'Cle etrangere table JEFY_BUDGET.PREVISION_BUDG';

CREATE UNIQUE INDEX PK_TRANCHE_PREVISION_BUDG ON ACCORDS.TRANCHE_PREVISION_BUDG (TRA_ORDRE, PVBU_ID) LOGGING NOPARALLEL;
ALTER TABLE ACCORDS.TRANCHE_PREVISION_BUDG ADD (CONSTRAINT PK_TRANCHE_PREVISION_BUDG PRIMARY KEY (TRA_ORDRE, PVBU_ID));

GRANT REFERENCES on JEFY_BUDGET.PREVISION_BUDG TO ACCORDS;
ALTER TABLE ACCORDS.TRANCHE_PREVISION_BUDG ADD ( CONSTRAINT FK_TRANCHE_PREV_TRA_ORDRE FOREIGN KEY (TRA_ORDRE) 
    REFERENCES ACCORDS.TRANCHE (TRA_ORDRE) DEFERRABLE INITIALLY DEFERRED);
ALTER TABLE ACCORDS.TRANCHE_PREVISION_BUDG ADD ( CONSTRAINT FK_TRANCHE_PREV_PVBU_ID FOREIGN KEY (PVBU_ID) 
    REFERENCES JEFY_BUDGET.PREVISION_BUDG (PVBU_ID) DEFERRABLE INITIALLY DEFERRED);
 
-- Ajout d'une colonne PVBU_ID à SB_DEPENSE
-- Nécessite les tables JEFY_BUDGET.PREV*
ALTER TABLE ACCORDS.SB_DEPENSE ADD (PVBU_ID NUMBER);
ALTER TABLE ACCORDS.SB_DEPENSE ADD ( CONSTRAINT FK_DEP_PVBU_ID FOREIGN KEY (PVBU_ID) 
    REFERENCES JEFY_BUDGET.PREVISION_BUDG (PVBU_ID) DEFERRABLE INITIALLY DEFERRED);
  
-- Maj de  la version 
Insert into ACCORDS.VERSION_HISTO (VH_ORDRE,VH_NUM,VH_DATE_EXEC,VH_LIBELLE) values (accords.VERSION_HISTO_SEQ.nextval,'2.1.0.3',to_date('09/03/2011','DD/MM/YYYY'),'Ajout table jointure TRANCHE_PREVISION_BUDG');
commit;